# BEGIN SourceDeps(oneline):
BuildRequires: perl(Tk.pm) xvfb-run
# END SourceDeps(oneline)
%ifndef _build_display
%def_without test
%endif
%define module_version 2.03
%define module_name Tk-Taxis
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.03
Release: alt1
Summary: Perl extension for simulating biological taxes
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SC/SCOOK/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Organisms such as bacteria respond to gradients in chemicals, light, *etc*, by 
a process called taxis ('movement'). This module captures some of the spirit of 
this model of organismal movement. Bacteria are unable to measure differential
gradients of chemicals along the length of their cells. Instead, they measure
the concentration at a given point, move a little, measure it again, then if
they find they are running up a favourable concentration gradient, they 
reduce their tumbling frequency (the probability that they will randomly change 
direction). In this way, they effect a random walk that is biased up the 
gradient. 

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir
xvfb-run -a make test

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/T*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 2.03-alt1
- initial import by package builder

